Formstack Integration Error - You do not have the correct role to grant these permissions

matthart
Member

I'm working to use a Hub Spot integration with a new form I am creating in Formstack.  I have my Hub ID and then every time that I try to Log into HubSpot it gives me an error that, " You do not have the correct role to grant these permissions. Please contact your administrator."

 

I am the super admin on the account and am wondering if there is another issue that I'm not aware of?

0 Upvotes
4 Replies 4
jennysowyrda
Community Manager

hey @matthart,

 

What subscription level of HubSpot do you have? The issue may be with the scope that is available for your portal. 


Thanks,
Jenny


We are excited to announce that the Community will be launching a weekly newsletter on November 2, 2020!
Sign up today!
0 Upvotes
matthart
Member

Hi @jennysowyrda, we're working off of the Free Sales & Marketing platforms.  Would we need to upgrade for this to work?  It also looks like we can have some connections through Zapier so I'm also wondering if this might be a better solution.  Any thoughts?

0 Upvotes
jennysowyrda
Community Manager

Hi @matthart

 

I am wondering if the scopes are what is interfering. Is this the first time you're integrating wtih Formstack or have you connected in the past? 

If this is the first time, can you open up your network panel when connecting through formstack and see if there are any errors there? You can access this panel by right clicking, and selecting "inspect", then choose the network tab. 

 

What we would be looking for is a 403 error with something along the lines of "403 forbidden. this action cannot be completed".

 

Let me know what you see and we can go from there. 

 

Thanks, 
Jenny


We are excited to announce that the Community will be launching a weekly newsletter on November 2, 2020!
Sign up today!
0 Upvotes
ryanvilla
Participant

According to this, FS-HS integration requires a paid HubSpot account:

 

"The HubSpot integration is available on Gold Formstack plans and above and can only be used with Marketing PRO or Enterprise level HubSpot Accounts."

0 Upvotes